xine-lib: ff_video_decoder_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Public Types | Data Fields
ff_video_decoder_s Struct Reference

## Public Types
enum | { STATE_RESET = 0 , STATE_DISCONTINUITY , STATE_READING_DATA , STATE_FRAME_SENT , STATE_FLUSHED }

## Data Fields
video_decoder_t | video_decoder
ff_video_class_t * | class
xine_stream_t * | stream
int64_t | pts
int64_t | last_pts
int64_t | tagged_pts
int | video_step
int | reported_video_step
uint8_t | pts_tag_pass
uint8_t | decoder_ok:1
uint8_t | decoder_init_mode:1
uint8_t | is_direct_rendering_disabled:1
uint8_t | cs_convert_init:1
uint8_t | assume_bad_field_picture:1
uint8_t | use_bad_frames:1
xine_bmiheader | bih
unsigned char * | buf
int | bufsize
int | size
int | skipframes
AVFrame * | av_frame
AVFrame * | av_frame2
AVCodecContext * | context
const AVCodec * | codec
mpeg_parser_t * | mpeg_parser
double | aspect_ratio
int | aspect_ratio_prio
int | frame_flags
int | edge
int | output_format
dlist_t | ffsf_free
dlist_t | ffsf_used
int | ffsf_num
int | ffsf_total
pthread_mutex_t | ffsf_mutex
int | color_matrix
int | full2mpeg
unsigned char | ytab [1024]
unsigned char | ctab [1024]
int | pix_fmt
rgb2yuy2_t * | rgb2yuy2
uint8_t | set_stream_info
enum ff_video_decoder_s:: { ... } | state
int | decode_attempts

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
STATE_RESET |
STATE_DISCONTINUITY |
STATE_READING_DATA |
STATE_FRAME_SENT |
STATE_FLUSHED |

## Field Documentation

## ◆ aspect_ratio

double ff_video_decoder_s::aspect_ratio

## ◆ aspect_ratio_prio

int ff_video_decoder_s::aspect_ratio_prio

## ◆ assume_bad_field_picture

uint8_t ff_video_decoder_s::assume_bad_field_picture

## ◆ av_frame

AVFrame* ff_video_decoder_s::av_frame

## ◆ av_frame2

AVFrame* ff_video_decoder_s::av_frame2

## ◆ bih

xine_bmiheader ff_video_decoder_s::bih

## ◆ buf

unsigned char* ff_video_decoder_s::buf

## ◆ bufsize

int ff_video_decoder_s::bufsize

## ◆ class

ff_video_class_t* ff_video_decoder_s::class

## ◆ codec

const AVCodec* ff_video_decoder_s::codec

## ◆ color_matrix

int ff_video_decoder_s::color_matrix

## ◆ context

AVCodecContext* ff_video_decoder_s::context

## ◆ cs_convert_init

uint8_t ff_video_decoder_s::cs_convert_init

## ◆ ctab

unsigned char ff_video_decoder_s::ctab[1024]

## ◆ decode_attempts

int ff_video_decoder_s::decode_attempts

## ◆ decoder_init_mode

uint8_t ff_video_decoder_s::decoder_init_mode

## ◆ decoder_ok

uint8_t ff_video_decoder_s::decoder_ok

## ◆ edge

int ff_video_decoder_s::edge

## ◆ ffsf_free

dlist_t ff_video_decoder_s::ffsf_free

Referenced by ffsf_delete().

## ◆ ffsf_mutex

pthread_mutex_t ff_video_decoder_s::ffsf_mutex

Referenced by ffsf_delete().

## ◆ ffsf_num

int ff_video_decoder_s::ffsf_num

Referenced by ffsf_delete().

## ◆ ffsf_total

int ff_video_decoder_s::ffsf_total

## ◆ ffsf_used

dlist_t ff_video_decoder_s::ffsf_used

## ◆ frame_flags

int ff_video_decoder_s::frame_flags

## ◆ full2mpeg

int ff_video_decoder_s::full2mpeg

## ◆ is_direct_rendering_disabled

uint8_t ff_video_decoder_s::is_direct_rendering_disabled

## ◆ last_pts

int64_t ff_video_decoder_s::last_pts

## ◆ mpeg_parser

mpeg_parser_t* ff_video_decoder_s::mpeg_parser

## ◆ output_format

int ff_video_decoder_s::output_format

## ◆ pix_fmt

int ff_video_decoder_s::pix_fmt

## ◆ pts

int64_t ff_video_decoder_s::pts

## ◆ pts_tag_pass

uint8_t ff_video_decoder_s::pts_tag_pass

## ◆ reported_video_step

int ff_video_decoder_s::reported_video_step

## ◆ rgb2yuy2

rgb2yuy2_t* ff_video_decoder_s::rgb2yuy2

## ◆ set_stream_info

uint8_t ff_video_decoder_s::set_stream_info

## ◆ size

int ff_video_decoder_s::size

## ◆ skipframes

int ff_video_decoder_s::skipframes

## ◆ []

enum { ... } ff_video_decoder_s::state

## ◆ stream

xine_stream_t* ff_video_decoder_s::stream

## ◆ tagged_pts

int64_t ff_video_decoder_s::tagged_pts

## ◆ use_bad_frames

uint8_t ff_video_decoder_s::use_bad_frames

## ◆ video_decoder

video_decoder_t ff_video_decoder_s::video_decoder

## ◆ video_step

int ff_video_decoder_s::video_step

## ◆ ytab

unsigned char ff_video_decoder_s::ytab[1024]

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/combined/ffmpeg/ff_video_decoder.c